aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-12-01 03:03:52 +0100
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-12-04 14:27:21 +0100
commit52e37b795bb975b1cb3bf1f684b009848c50a2d6 (patch)
treed8f0f919440058c129976d81be1012c7f6297d3e
parent93b36a416f9e5f4e8828ec9544ded29f1bb82098 (diff)
states: Rename openstack, add baremetal_init
To align with new cluster naming convention, rename 'openstack' state file to 'openstack_noha'. While at it, factor out baremetal setup from 'virtual_control_plane' into a new state that will be reused in upcoming scenarios, remove useless sync_all (automatically done after node reboot). FUEL-310 Change-Id: I6d7e5db8f09305f2fd8eeca0199a2e85b08d2202 Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
-rw-r--r--mcp/config/scenario/baremetal/os-nosdn-nofeature-ha.yaml1
-rw-r--r--mcp/config/scenario/baremetal/os-nosdn-ovs-ha.yaml1
-rw-r--r--mcp/config/scenario/baremetal/os-odl-nofeature-ha.yaml1
-rw-r--r--mcp/config/scenario/virtual/os-nosdn-nofeature-noha.yaml2
-rw-r--r--mcp/config/scenario/virtual/os-nosdn-ovs-noha.yaml2
-rw-r--r--mcp/config/scenario/virtual/os-odl-nofeature-noha.yaml2
-rwxr-xr-xmcp/config/states/baremetal_init33
-rwxr-xr-xmcp/config/states/openstack_noha (renamed from mcp/config/states/openstack)0
-rwxr-xr-xmcp/config/states/virtual_control_plane24
9 files changed, 41 insertions, 25 deletions
diff --git a/mcp/config/scenario/baremetal/os-nosdn-nofeature-ha.yaml b/mcp/config/scenario/baremetal/os-nosdn-nofeature-ha.yaml
index e135b76..5315fdd 100644
--- a/mcp/config/scenario/baremetal/os-nosdn-nofeature-ha.yaml
+++ b/mcp/config/scenario/baremetal/os-nosdn-nofeature-ha.yaml
@@ -10,6 +10,7 @@ cluster:
domain: baremetal-mcp-ocata-ovs-ha.local
states:
- maas
+ - baremetal_init
- virtual_control_plane
- openstack_ha
- networks
diff --git a/mcp/config/scenario/baremetal/os-nosdn-ovs-ha.yaml b/mcp/config/scenario/baremetal/os-nosdn-ovs-ha.yaml
index 1766f97..a0260a0 100644
--- a/mcp/config/scenario/baremetal/os-nosdn-ovs-ha.yaml
+++ b/mcp/config/scenario/baremetal/os-nosdn-ovs-ha.yaml
@@ -10,6 +10,7 @@ cluster:
domain: baremetal-mcp-ocata-ovs-dpdk-ha.local
states:
- maas
+ - baremetal_init
- virtual_control_plane
- dpdk
- openstack_ha
diff --git a/mcp/config/scenario/baremetal/os-odl-nofeature-ha.yaml b/mcp/config/scenario/baremetal/os-odl-nofeature-ha.yaml
index 52a422b..8250881 100644
--- a/mcp/config/scenario/baremetal/os-odl-nofeature-ha.yaml
+++ b/mcp/config/scenario/baremetal/os-odl-nofeature-ha.yaml
@@ -10,6 +10,7 @@ cluster:
domain: baremetal-mcp-ocata-odl-ha.local
states:
- maas
+ - baremetal_init
- virtual_control_plane
- opendaylight
- openstack_ha
diff --git a/mcp/config/scenario/virtual/os-nosdn-nofeature-noha.yaml b/mcp/config/scenario/virtual/os-nosdn-nofeature-noha.yaml
index 55b4339..57369a9 100644
--- a/mcp/config/scenario/virtual/os-nosdn-nofeature-noha.yaml
+++ b/mcp/config/scenario/virtual/os-nosdn-nofeature-noha.yaml
@@ -9,7 +9,7 @@
cluster:
domain: virtual-mcp-pike-ovs-noha.local
states:
- - openstack
+ - openstack_noha
- neutron_compute
- networks
virtual:
diff --git a/mcp/config/scenario/virtual/os-nosdn-ovs-noha.yaml b/mcp/config/scenario/virtual/os-nosdn-ovs-noha.yaml
index 538ff9b..7be0fd8 100644
--- a/mcp/config/scenario/virtual/os-nosdn-ovs-noha.yaml
+++ b/mcp/config/scenario/virtual/os-nosdn-ovs-noha.yaml
@@ -10,7 +10,7 @@ cluster:
domain: virtual-mcp-pike-ovs-dpdk-noha.local
states:
- dpdk
- - openstack
+ - openstack_noha
- neutron_compute
- networks
virtual:
diff --git a/mcp/config/scenario/virtual/os-odl-nofeature-noha.yaml b/mcp/config/scenario/virtual/os-odl-nofeature-noha.yaml
index d1662ca..5d114ed 100644
--- a/mcp/config/scenario/virtual/os-odl-nofeature-noha.yaml
+++ b/mcp/config/scenario/virtual/os-odl-nofeature-noha.yaml
@@ -10,7 +10,7 @@ cluster:
domain: virtual-mcp-pike-odl-noha.local
states:
- opendaylight
- - openstack
+ - openstack_noha
- networks
virtual:
nodes:
diff --git a/mcp/config/states/baremetal_init b/mcp/config/states/baremetal_init
new file mode 100755
index 0000000..7b532da
--- /dev/null
+++ b/mcp/config/states/baremetal_init
@@ -0,0 +1,33 @@
+#!/bin/bash -e
+##############################################################################
+# Copyright (c) 2017 Mirantis Inc., Enea AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+CI_DEBUG=${CI_DEBUG:-0}; [[ "${CI_DEBUG}" =~ (false|0) ]] || set -x
+
+# shellcheck disable=SC1090
+source "$(dirname "${BASH_SOURCE[0]}")/../../scripts/lib.sh"
+
+# KVM, compute node prereqs
+# patch the networking module for Debian based distros
+debian_ip_source=/usr/lib/python2.7/dist-packages/salt/modules/debian_ip.py
+salt -C 'kvm* or cmp*' file.line $debian_ip_source \
+ content='iface = iface.lower()' mode='delete'
+
+salt -C 'kvm* or cmp*' file.replace $debian_ip_source \
+ pattern="^\s{8}__salt__\['pkg.install'\]\('vlan'\)" \
+ repl="\n if not __salt__['pkg.version']('vlan'):\n __salt__['pkg.install']('vlan')"
+
+salt -C 'kvm*' pkg.install bridge-utils
+salt -C 'kvm*' state.apply linux.network
+salt -C 'cmp*' state.apply linux.system
+salt -C 'cmp*' state.apply linux.network || true
+salt -C 'kvm* or cmp*' system.reboot
+wait_for 90 "! salt -C 'kvm* or cmp*' test.ping | " \
+ "tee /dev/stderr | grep -Fq 'Not connected'"
+
+salt -C 'kvm* or cmp*' state.apply linux,ntp,salt.minion
diff --git a/mcp/config/states/openstack b/mcp/config/states/openstack_noha
index 1578dcf..1578dcf 100755
--- a/mcp/config/states/openstack
+++ b/mcp/config/states/openstack_noha
diff --git a/mcp/config/states/virtual_control_plane b/mcp/config/states/virtual_control_plane
index b08a31c..5de4673 100755
--- a/mcp/config/states/virtual_control_plane
+++ b/mcp/config/states/virtual_control_plane
@@ -26,30 +26,10 @@ if [ "${ERASE_ENV}" -eq 1 ]; then
done
fi
-# KVM, compute node prereqs (libvirt first), VCP deployment
-# patch the networking module for Debian based distros
-debian_ip_source=/usr/lib/python2.7/dist-packages/salt/modules/debian_ip.py
-salt -C 'kvm* or cmp*' file.line $debian_ip_source \
- content='iface = iface.lower()' mode='delete'
-
-salt -C 'kvm* or cmp*' file.replace $debian_ip_source \
- pattern="^\s{8}__salt__\['pkg.install'\]\('vlan'\)" \
- repl="\n if not __salt__['pkg.version']('vlan'):\n __salt__['pkg.install']('vlan')"
-
-salt -C 'kvm*' pkg.install bridge-utils
-salt -C 'kvm*' state.apply linux.network
-salt -C 'cmp*' state.apply linux.system
-salt -C 'cmp*' state.apply linux.network || true
-salt -C 'kvm* or cmp*' system.reboot
-wait_for 90 "! salt -C 'kvm* or cmp*' test.ping | " \
- "tee /dev/stderr | grep -Fq 'Not connected'"
-
-salt -C '* and not cfg01* and not mas01*' state.apply linux,ntp
-
+# KVM libvirt first, VCP deployment
wait_for 5 "salt -C 'kvm*' state.sls libvirt"
-salt -C '* and not cfg01* and not mas01*' state.apply salt
-salt -C 'kvm*' saltutil.sync_all
+salt -C 'kvm* or cmp*' state.apply salt
wait_for 10 "! salt -C 'kvm*' state.sls salt.control | " \
"tee /dev/stderr | grep -Fq 'Not connected'"